using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ProductTagCQ.EventHandlers;

public class DeleteProductTagEventHandler : INotificationHandler<DeleteProductTagEvent>
{
    private readonly ILogger<DeleteProductTagEventHandler> _logger;

    public DeleteProductTagEventHandler(ILogger<DeleteProductTagEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteProductTagEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}

